## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeElementANS Class Reference

`#include <XalanSourceTreeElementANS.hpp>`

Inheritance diagram for XalanSourceTreeElementANS:

[legend]
Collaboration diagram for XalanSourceTreeElementANS:

[legend]
List of all members.

## Public Methods

- XalanSourceTreeElementANS (MemoryManagerType &theManager, const XalanDOMString &theTagName, const XalanDOMString &theLocalName, const XalanDOMString &theNamespaceURI, const XalanDOMString &thePrefix, XalanSourceTreeDocument *theOwnerDocument, XalanSourceTreeAttr **theAttributes, AttributesCountType theAttributeCount, XalanNode *theParentNode=0, XalanNode *thePreviousSibling=0, XalanNode *theNextSibling=0, IndexType theIndex=0)
    Constructor. More...
- virtual ~XalanSourceTreeElementANS ()
- virtual XalanSourceTreeElementANS* cloneNode (bool deep) const
    Returns a duplicate of this node. More...
- virtual const XalanDOMString& getNamespaceURI () const
    Get the namespace URI of this node, or `null` if it is unspecified. More...
- virtual const XalanDOMString& getPrefix () const
    Get the namespace prefix of this node, or `null` if it is unspecified. More...
- virtual const XalanDOMString& getLocalName () const
    Returns the local part of the qualified name of this node. More...

## Protected Methods

- XalanSourceTreeElementANS (MemoryManagerType &theManager, const XalanSourceTreeElementANS &theSource, bool deep)
- XalanSourceTreeElementANS (MemoryManagerType &theManager, const XalanSourceTreeElementA &theSource, bool deep)

## Constructor & Destructor Documentation

XalanSourceTreeElementANS::XalanSourceTreeElementANS ( | MemoryManagerType & theManager,
| const XalanDOMString & theTagName,
| const XalanDOMString & theLocalName,
| const XalanDOMString & theNamespaceURI,
| const XalanDOMString & thePrefix,
| XalanSourceTreeDocument * theOwnerDocument,
| XalanSourceTreeAttr ** theAttributes,
| AttributesCountType theAttributeCount,
| XalanNode * theParentNode = 0,
| XalanNode * thePreviousSibling = 0,
| XalanNode * theNextSibling = 0,
| IndexType theIndex = 0 )

  | Constructor. Parameters:
  theTagName | The tag name of the element
  theLocalName | The local name of the attribute
  theNamespaceURI | The namespace URI of the attribute
  thePrefix | The namespace prefix of the attribute
  theOwnerDocument | The document that owns the instance
  theAttributes | An array of pointers to the attribute instances for the element
  theAttributeCount | The number of attributes.
  theParentNode | The parent node, if any.
  thePreviousSibling | The previous sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.

XalanSourceTreeElementANS::~XalanSourceTreeElementANS ( | )`[virtual]`

XalanSourceTreeElementANS::XalanSourceTreeElementANS ( | MemoryManagerType & theManager,
| const XalanSourceTreeElementANS & theSource,
| bool deep )`[protected]`

XalanSourceTreeElementANS::XalanSourceTreeElementANS ( | MemoryManagerType & theManager,
| const XalanSourceTreeElementA & theSource,
| bool deep )`[protected]`

## Member Function Documentation

XalanSourceTreeElementANS * XalanSourceTreeElementANS::cloneNode ( | bool deep ) const`[virtual]`

  | Returns a duplicate of this node. This function serves as a generic copy constructor for nodes. The duplicate node has no parent ( `parentNode` returns `null`.). Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node. Parameters:
  deep | If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
Returns: The duplicate node. Reimplemented from XalanSourceTreeElementA.

const XalanDOMString & XalanSourceTreeElementANS::getLocalName ( | ) const`[virtual]`

| Returns the local part of the qualified name of this node. For nodes created with a DOM Level 1 method, such as `createElement` from the `DOM_Document` interface, it is null. Reimplemented from XalanSourceTreeElementA.

const XalanDOMString & XalanSourceTreeElementANS::getNamespaceURI ( | ) const`[virtual]`

| Get the namespace URI of this node, or `null` if it is unspecified. This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time. For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, this is always `null`. Reimplemented from XalanSourceTreeElementA.

const XalanDOMString & XalanSourceTreeElementANS::getPrefix ( | ) const`[virtual]`

| Get the namespace prefix of this node, or `null` if it is unspecified. Reimplemented from XalanSourceTreeElementA.

The documentation for this class was generated from the following file:

- XalanSourceTreeElementANS.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.